export declare type PackageSelector = string | {
    name: string;
    range: string;
};
export declare type PackageNode = {
    pkg: {
        name: string;
        version: string;
        path: string;
    };
    dependencies?: PackageNode[];
    searched?: true;
    circular?: true;
};
export declare function forPackages(packages: PackageSelector[], projectPath: string, opts?: {
    depth: number;
    only?: 'dev' | 'prod';
}): never[] | Promise<PackageNode[]>;
export default function (projectPath: string, opts?: {
    depth: number;
    only?: 'dev' | 'prod';
}): Promise<PackageNode[]>;
