"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const encodeRegistry = require("encode-registry");
function isAbsolute(dependencyPath) {
    return dependencyPath[0] !== '/';
}
exports.isAbsolute = isAbsolute;
function resolve(registryUrl, resolutionLocation) {
    if (!isAbsolute(resolutionLocation)) {
        const registryDirectory = encodeRegistry(registryUrl);
        return `${registryDirectory}${resolutionLocation}`;
    }
    return resolutionLocation;
}
exports.resolve = resolve;
function refToAbsolute(reference, pkgName, registry) {
    if (reference.indexOf('/') === -1) {
        const registryName = encodeRegistry(registry);
        return `${registryName}/${pkgName}/${reference}`;
    }
    return reference;
}
exports.refToAbsolute = refToAbsolute;
function relative(standardRegistry, absoluteResolutionLoc) {
    const registryName = encodeRegistry(standardRegistry);
    if (absoluteResolutionLoc.startsWith(`${registryName}/`)) {
        return absoluteResolutionLoc.substr(absoluteResolutionLoc.indexOf('/'));
    }
    return absoluteResolutionLoc;
}
exports.relative = relative;
function refToRelative(reference, pkgName) {
    if (reference.indexOf('/') === -1) {
        return `/${pkgName}/${reference}`;
    }
    return reference;
}
exports.refToRelative = refToRelative;
//# sourceMappingURL=index.js.map