import { PackageContentInfo, Resolution, PackageSpec } from 'package-store';
import { InstallContext } from '../api/install';
import { Dependencies } from '../types';
import { ResolvedDependencies } from 'pnpm-shrinkwrap';
import Rx = require('@reactivex/rxjs');
export declare type PackageRequest = {
    specRaw: string;
    pkgId: string;
    depth: number;
};
export declare type InstalledPackage = {
    id: string;
    resolution: Resolution;
    fetchingFiles: Promise<PackageContentInfo>;
    calculatingIntegrity: Promise<void>;
    path: string;
    name: string;
    version: string;
    peerDependencies: Dependencies;
    optionalDependencies: Set<string>;
    hasBundledDependencies: boolean;
    hasBins: boolean;
    installable: boolean;
    children$: Rx.Observable<string>;
    childrenCount: number;
};
export default function installMultiple(ctx: InstallContext, specs: PackageSpec[], options: {
    keypath: string[];
    parentNodeId: string;
    currentDepth: number;
    resolvedDependencies?: ResolvedDependencies;
    preferedDependencies?: ResolvedDependencies;
    parentIsInstallable?: boolean;
    update: boolean;
}): Rx.Observable<PackageRequest>;
