import { TreeNode } from '../api/install';
import { Package } from '../types';
import { Store, DirectoryResolution } from 'package-store';
import { ResolvedNode, Map } from './resolvePeers';
import { Shrinkwrap } from 'pnpm-shrinkwrap';
import Rx = require('@reactivex/rxjs');
export default function (rootNodeId$: Rx.Observable<string>, tree: {
    [nodeId: string]: TreeNode;
}, opts: {
    force: boolean;
    global: boolean;
    baseNodeModules: string;
    bin: string;
    topParent$: Rx.Observable<{
        name: string;
        version: string;
    }>;
    shrinkwrap: Shrinkwrap;
    privateShrinkwrap: Shrinkwrap;
    production: boolean;
    optional: boolean;
    root: string;
    storePath: string;
    storeIndex: Store;
    skipped: Set<string>;
    pkg: Package;
    independentLeaves: boolean;
    nonDevPackageIds: Set<string>;
    nonOptionalPackageIds: Set<string>;
    localPackages: {
        optional: boolean;
        dev: boolean;
        resolution: DirectoryResolution;
        absolutePath: string;
        version: string;
        name: string;
        specRaw: string;
    }[];
}): Promise<{
    resolvedNodesMap: Map<ResolvedNode>;
    shrinkwrap: Shrinkwrap;
    updatedPkgsAbsolutePaths: string[];
}>;
