import { Resolution, PackageContentInfo } from 'package-store';
import { TreeNodeMap } from '../api/install';
import Rx = require('@reactivex/rxjs');
export declare type ResolvedNode = {
    name: string;
    version: string;
    hasBundledDependencies: boolean;
    hasBins: boolean;
    path: string;
    modules: string;
    fetchingFiles: Promise<PackageContentInfo>;
    resolution: Resolution;
    hardlinkedLocation: string;
    children$: Rx.Observable<ResolvedNode>;
    independent: boolean;
    optionalDependencies: Set<string>;
    depth: number;
    absolutePath: string;
    dev: boolean;
    optional: boolean;
    pkgId: string;
    installable: boolean;
};
export declare type Map<T> = {
    [nodeId: string]: T;
};
export default function (tree: TreeNodeMap, rootNodeId$: Rx.Observable<string>, topParent$: Rx.Observable<{
    name: string;
    version: string;
}>, independentLeaves: boolean, nodeModules: string, opts: {
    nonDevPackageIds: Set<string>;
    nonOptionalPackageIds: Set<string>;
}): {
    resolvedNode$: Rx.Observable<ResolvedNode>;
    rootResolvedNode$: Rx.Observable<ResolvedNode>;
};
